/* Copyright (C) 2000 Decision Computer International, Inc.,
   This file is part of the Decision PCCOM development tool

   The libpccomprof.h is a development tool to make it easier 
   for the programmer to intialize, transmit and receive using
   Decision PCCOM Serial cards. 

   The libpccomprof.h is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
   See the GNU Library General Public License for more details. 
 
   -Armz27
*/

/*********************************************************************
  Initalization modules
**********************************************************************/
int comminit(char *strComPort, long lBaudRate, int intDataBits, \
              char *strParity, int intStopBits,char *strFlowControl);
int commopen(char *strComPort);
int commclose(char *strComPort);

/*********************************************************************
  Transmit modules
**********************************************************************/
size_t commtxblk(char *strComPort, char *strBuffer, size_t nLength);
int commflushtx(char *strComPort);
int commZmodemTxFile(char *strComPort, char *strFileNameWithPath);

/*********************************************************************
  Receive modules
**********************************************************************/
size_t commrxblk(char *strComPort, char *chrReceiveData, size_t nLength);
int commflushrx(char *strComPort);
int commgetRxCount(char *strComPort);
int commZmodemRxFile(char *strComPort);

/*********************************************************************
  Modem Control modules
**********************************************************************/
int commgetstat(char *strComPort);
int commsetDTR(char *strComPort, int intFlag);
int commsetRTS(char *strComPort, int intFlag);